Skip to navigation

CVE Database

CVE-2011-2895

Impact: Important
Public: 2011-08-10
Bugzilla: 727624: CVE-2011-2895 BSD compress LZW decoder buffer overflow

Details

The MITRE CVE dictionary describes this issue as:

The LZW decompressor in (1) the BufCompressedFill function in fontfile/decompress.c in X.Org libXfont before 1.4.4 and (2) compress/compress.c in 4.3BSD, as used in zopen.c in OpenBSD before 3.8, FreeBSD, NetBSD 4.0.x and 5.0.x before 5.0.3 and 5.1.x before 5.1.1, FreeType 2.1.9, and other products, does not properly handle code words that are absent from the decompression table when encountered, which allows context-dependent attackers to trigger an infinite loop or a heap-based buffer overflow, and possibly execute arbitrary code, via a crafted compressed stream, a related issue to CVE-2006-1168 and CVE-2011-2896.

Find out more about CVE-2011-2895 from the MITRE CVE dictionary and NIST NVD.

CVSS v2 metrics

Base Score: 6.9
Base Metrics: AV:L/AC:M/Au:N/C:C/I:C/A:C
Access Vector: Local
Access Complexity: Medium
Authentication: None
Confidentiality Impact: Complete
Integrity Impact: Complete
Availability Impact: Complete

Find out more about Red Hat support for the Common Vulnerability Scoring System (CVSS).

Red Hat security errata

Platform Errata Release Date
Red Hat Enterprise Linux EUS (v. 5.6 server) (libXfont) RHSA-2011:1834 December 19, 2011
Red Hat Enterprise Linux version 4 (freetype) RHSA-2011:1161 August 15, 2011
Red Hat Enterprise Linux version 4 (xorg-x11) RHSA-2011:1155 August 11, 2011
Red Hat Enterprise Linux version 5 (libXfont) RHSA-2011:1154 August 11, 2011
Red Hat Enterprise Linux version 6 (libXfont) RHSA-2011:1154 August 11, 2011

External References

This page is generated automatically and has not been checked for errors or omissions.

For clarification or corrections please contact the Red Hat Security Response Team.